All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals
Class BasicTriStateCheckBoxListUI.EndAction

    com.sas.swing.visuals.BasicTriStateCheckBoxListUI.EndAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

Enclosing class:
  BasicTriStateCheckBoxListUI

    public static class BasicTriStateCheckBoxListUI.EndAction

Action to move the selection to the last item in the list.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.swing.visuals.BasicCheckBoxListUI.IncrementLeadSelectionAction
`amount, selectionType`

Constructor Summary
`BasicTriStateCheckBoxListUI.EndAction(java.lang.String name, int type)`

Method Summary
`protected int` | `getNextIndex(javax.swing.JList list)` Returns the next index to select.

Methods inherited from class com.sas.swing.visuals.BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction
`actionPerformed`

Methods inherited from class com.sas.swing.visuals.BasicCheckBoxListUI.IncrementLeadSelectionAction
`ensureIndexIsVisible`

Constructor Detail

### BasicTriStateCheckBoxListUI.EndAction

    public BasicTriStateCheckBoxListUI.EndAction(java.lang.String name,
                                                 int type)

Method Detail

### getNextIndex

    protected int getNextIndex(javax.swing.JList list)

  Description copied from class: `BasicCheckBoxListUI.IncrementLeadSelectionAction`
  Returns the next index to select. This is based on the lead selected index and the `amount` ivar.

  Overrides:
    `getNextIndex` in class `BasicCheckBoxListUI.IncrementLeadSelectionAction`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.